DirectoryIterator::getOwner
DirectoryIterator::getPathname
DirectoryIterator
PHP Manual

# DirectoryIterator::getPath

(PHP 5)

DirectoryIterator::getPath — Get path of current Iterator item without filename

### Description

public string DirectoryIterator::getPath ( void )

Get the path to the current DirectoryIterator item.

### Parameters

This function has no parameters.

### Return Values

Returns the path to the file, omitting the file name and any trailing slash.

### Examples

Example #1 DirectoryIterator::getPath() example

`<?php
$iterator = new DirectoryIterator(dirname(__FILE__));
echo $iterator->getPath();
?>`

The above example will output something similar to:

    /home/examples/public_html

### See Also

- DirectoryIterator::getBasename() - Get base name of current DirectoryIterator item.
- DirectoryIterator::getFilename() - Return file name of current DirectoryIterator item.
- DirectoryIterator::getPathname() - Return path and file name of current DirectoryIterator item
- pathinfo() - Returns information about a file path

DirectoryIterator::getOwner
DirectoryIterator::getPathname
DirectoryIterator
PHP Manual